#ifdef (SquadColour)
#else
#declare SquadColour = colour rgb <1,0,0>
#end
#ifdef (WingRot)
#else
#declare WingRot = 0
#end
#ifdef (GearRot)
#else
#declare GearRot = 0
#end

#declare EW_Tex2 =
texture {pigment{color rgb .25}
normal {dents 0.25 scale 0.25}
finish {
ambient 0.05
diffuse 1
phong .25
phong_size 20
metallic
}}
texture {
pigment { bozo
color_map {
[0 rgbt <0,0,0,.5> ]
[.5 rgbt <0,0,0,1>]
[1 rgbt <0,0,0,1> ]
}
turbulence .5
scale 5
}
}


#declare EW_SquadTex =
texture {
pigment {
image_map{
gif "ewtex1.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
}
texture {
pigment {
color rgb SquadColour*.75 transmit .125
}
finish {
ambient 0.1
diffuse 1
phong .25
phong_size 20
metallic
}
}



#declare EW_SquadTex2 =
texture {
pigment {
gradient x
color_map {
[0 color rgb 0]
[0.225 color rgb 0]
[.25 color rgb <1,1,0>]
[.75 color rgb <1,1,0>]
[0.775 color rgb 0]
[1 color rgb 0]
}
}
finish {
ambient 0.05
diffuse 1
phong .25
phong_size 20
metallic
}
scale 10
rotate <0,45,0>
}


#declare EWMainT =
texture {
pigment {
image_map{
gif "ewtex1.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
}

#declare EW_Tex1 =
texture {
    material_map {
      gif "ewtex1b.GIF"
      interpolate 2
texture {
EWMainT
}
texture {
EW_SquadTex
scale 5
scale 1/<130,30,1>
rotate <0,90,0>
translate -<0,-10,-80>
}
texture {
EW_SquadTex2
scale 1/<130,30,1>
rotate <0,90,0>
translate -<0,-10,-80>
}
}
scale <130,30,1>
rotate <0,-90,0>
translate <0,-10,-80>
}

#declare EWWingT =
texture {
pigment {
image_map{
gif "ewtex2.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
}

#declare EW_SquadTex =
texture {
pigment {
image_map{
gif "ewtex2.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
}
texture {
pigment {
color rgb SquadColour*.75 transmit .125
}
finish {
ambient 0.1
diffuse .75
phong .25
phong_size 20
metallic
}
}

#declare EW_Tex3 =
texture {
    material_map {
      gif "ewtex2b.GIF"
      interpolate 2
texture {
EWWingT
}
texture {
EW_SquadTex
scale 5
scale 1/<65,45,1>
rotate <-90,0,0>
}
texture {
EW_SquadTex2
scale 1/<65,45,1>
rotate <-90,0,0>
}
}
scale <65,45,1>
rotate <90,0,0>
}

#declare EWTopT =
texture {
pigment {
image_map{
gif "ewtex3.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
}

#declare EW_SquadTex =
texture {
pigment {
image_map{
gif "ewtex3.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
}
texture {
pigment {
color rgb SquadColour*.75 transmit .125
}
finish {
ambient 0.1
diffuse .75
phong .25
phong_size 20
metallic
}
}

#declare EW_Tex4 =
texture {
    material_map {
      gif "ewtex3b.GIF"
      interpolate 2
texture {
EWTopT
}
texture {
EW_SquadTex
scale 5
scale 1/<65,45,1>
rotate <-90,0,0>
}
texture {
EW_SquadTex2
scale 1/<65,45,1>
rotate <-90,0,0>
}
}
scale <12,108,1>
rotate <-90,0,0>
translate <-6,0,-59.5>
}


#declare EW_Tex5 =
texture {
pigment {
image_map{
gif "ewtex4.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
scale <12,108,1>
rotate <90,0,0>
translate <-6,0,-59.5>
}

#declare EW_ScreenTex =texture {
        pigment {colour rgbf <0.75, 0.75, 0.8,.85>}
finish {diffuse .5 phong 1 phong_size 20 specular 0.7 roughness 0.01}
}

#declare EW_HeadsUp =
texture {
pigment {
image_map{
gif "EWTex5.gif"
interpolate 2
}
}
finish {
ambient 1
diffuse 0
}
scale < 7, 4, 1 >
translate < -3.5, 7.5, -24 >
}

#declare EW_PilotHelmetTex =
texture {
pigment {
image_map{
gif "helmet.GIF"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
phong .01
}
scale <27,31.5,1>
rotate <90,0,0>
translate <-13.5,0,-17.5>
}




#declare EWing =
// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 12, 26, 45 >
               translate < -6, -8, 2.2107e-14 >
               texture {EW_Tex4}
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 102 >
               rotate < 0, 0, -94.435 >
               translate < -5, 4, -2.7756e-17 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 102 >
               rotate < 0, 0, 94.435 >
               translate < 5, 4, -2.7756e-17 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 19, 10, 15 >
               translate < -9.5, -2, 13 >
            }
            difference {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 10, 27, 37 >
               translate < -5, -9.5, 40 >

            }
              // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 102 >
               rotate < 0, 0, -94.435 >
               translate < -4.5, 4, -2.7756e-17 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 102 >
               rotate < 0, 0, 94.435 >
               translate < 4.5, 4, -2.7756e-17 >
            }
            texture {EW_Tex2}
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 20, 22, 20 >
               translate < -10, -10.5, 42 >
            }
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -1, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, 0, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, 2.1176e-22, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -2, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, -1, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, -1, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -3, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, -2, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, -2, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -4, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, -3, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, -3, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -5, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, -4, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, -4, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -6, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, -5, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, -5, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 11, 0.5, 10 >
               translate < -5.5, -7, -11 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -68.865, -6.5021e-06 >
               translate < 3, -6, -8.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, 68.865, 0 >
               translate < -3, -6, -8.5 >
            }
         }

         texture
         {
            EW_Tex2

         }
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 6, 11, 16 >
         translate < -3, -2.5, 12.5 >

         texture
         {
            EW_Tex2
         }
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 3.5, 0.75 >
         translate < -3.5, 4, 13.25 >
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 8, 3.5, 10 >
               translate < -4, 3.5, 15.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 9, 3, 8.75 >
               translate < -4.25, 3.75, 16 >
            }
         }

         texture
         {
            EW_SquadTex
            translate < 0.25, 5.25, 20.5 >
         }
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 1.5, 8.5, 1.5 >
         rotate < 90, 90, 0 >
         translate < -4.25, 5.25, 18.25 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 1.5, 8.5, 1.5 >
         rotate < 90, 90, 0 >
         translate < -4.25, 5.25, 22.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 3.5, 0.75 >
         translate < -3.5, 4, 14.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 3.5, 0.75 >
         translate < -3.5, 4, 25.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 3.5, 0.75 >
         translate < -3.5, 4, 27 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 1.25, 12 >
         translate < -3.5, 0.25, 14.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 1.25, 12 >
         translate < -3.5, 2.25, 14.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 1.25, 12 >
         translate < -3.5, -1.5, 14.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 8, 4, 3 >
         translate < -4, -1, 15.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 8, 4, 3 >
         translate < -4, -1, 22.25 >
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 12, 26, 59 >
                     translate < -6, -8, -59 >
                     texture {EW_Tex5}
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 44 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, 12, -24 >
                     texture {EW_Tex4}
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, -94.435 >
                     translate < -5, 4, -2.0817e-17 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, 94.435 >
                     translate < 5, 4, 6.9389e-18 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 6.5, 7.6065, 32.596 >
                     rotate < 20.376, 0, 0 >
                     translate < -3.25, 13+3, -34 >
                     texture {EW_Tex2}
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 11, 14, 31.819 >
                     rotate < 7.8691, 0, 0 >
                     translate < -5.5, 11.5+2, -34 >
                     texture {EW_Tex2}
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < -6, -9, -37 >
                           rotate < 180, 0, 0 >
                           translate < -2, -8.5, -38 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < -20, -1, -20 >
                           rotate < -21.477, 0, 0 >
                           translate < 0, -3, -25 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < -20, -1, -20 >
                           rotate < -90, -83.62, -2.2394e-05 >
                           translate < -3.5, 0, -25 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < -20, -1, -20 >
                           rotate < 90, -30, 180 >
                           translate < -5, 6.6174e-24, -2 >
                        }
                     }
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 6, 9, 37 >
                           translate < 2, -8.5, -38 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 20, 1, 20 >
                           rotate < 158.52, 0, 0 >
                           translate < 0, -3, -25 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 20, 1, 20 >
                           rotate < 90, 83.62, 2.2394e-05 >
                           translate < 3.5, 0, -25 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 20, 1, 20 >
                           rotate < -90, 30, -180 >
                           translate < 5, -1.0588e-22, -2 >
                        }
                     }
                  }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 7, 11, 16.5 >
         translate < -3.5, -11, -50 >
pigment {rgb .25}
      }
      }
            }      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Union
            // Name: 'or'
            object
            {
               merge
               {
                  // Object type: Intersection
                  // Name: 'and'
                  object
                  {
                     intersection
                     {
                        // Object type: Difference
                        // Name: 'and not'
                        object
                        {
                           difference
                           {
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 5, 15.397, 25 >
                                 translate < 0, -8, -57 >
                              }
                              // Object type: Disc
                              // Name: NoName
                              object
                              {
                                 disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                                 scale < 20, 0.9057, 33 >
                                 translate < 0, -8, -57 >
                              }
                              // Object type: Disc
                              // Name: NoName
                              object
                              {
                                 disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                                 scale < 20, 0.97, 18.673 >
                                 rotate < -122.33, 0, 0 >
                                 translate < 0, 0.151, -56 >
                              }
                              // Object type: Box
                              // Name: NoName
                              object
                              {
                                 box { < 0, 0, 0 >, < 1, 1, 1 > }

                                 scale < 2, 7.9349, 12.03 >
                                 rotate < -7.3147, 0, 0 >
                                 translate < -1, 1, -74 >
                              }
                           }
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                           scale < 25.5, 30, 12.68 >
                           rotate < 90, 90, 0 >
                           translate < -15, -8, -53 >
                        }
                     }
                  }
                  // Object type: Intersection
                  // Name: 'and'
                  object
                  {
                     intersection
                     {
                        // Object type: Difference
                        // Name: 'and not'
                        object
                        {
                           difference
                           {
                              // Object type: Sphere
                              // Name: NoName
                              object
                              {
                                 sphere { < 0, 0, 0 >, 1 }

                                 scale < 5, 2.125, 25 >
                                 rotate < 0, 0, 180 >
                                 translate < 3.2548e-16, -8, -57 >
                              }
                              // Object type: Disc
                              // Name: NoName
                              object
                              {
                                 disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                                 scale < 20, 0.125, 33 >
                                 rotate < 0, 0, 180 >
                                 translate < 3.2548e-16, -8, -57 >
                              }
                              // Object type: Disc
                              // Name: NoName
                              object
                              {
                                 disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                                 scale < 20, 0.823, 20 >
                                 rotate < -102.15, 0, 180 >
                                 translate < 0, -9, -51 >
                              }
                           }
                        }
                        // Object type: Cylinder
                        // Name: NoName
                        object
                        {
                           cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                           scale < 25.5, 30, 1.75 >
                           rotate < 90, 90, 0 >
                           translate < -15, -8, -53 >
                        }
                     }
                  }
               }
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1, 40, 1 >
               rotate < 90, 0, 0 >
               translate < 4, -7.5, -95 >
               pigment {rgb .125}

            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 1, 40, 1 >
               rotate < 90, 0, 0 >
               translate < -4, -7.5, -95 >
               pigment {rgb .125}
            }
         }
      }
union {
difference {
     // Object type: Union
     // Name: 'or'
      object
      {
         merge
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 11.4, 10, 31.82 >
                     rotate < 8.0053, 0, 0 >
                     translate < -5.7, -4.4008, -32.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19, 0.975, 42.9 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, -5.2008, -22.301 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19.497, 0.95016, 99.448 >
                     // --- Shear XY --- (not correct)
                     rotate < 0, 0, -22.5 >
                     scale < 0.999989, 1, 1 >
                     rotate < 0, 0, 22.5016 >
                     // ----------------
                     // --- Shear XZ --- (not correct)
                     rotate < 0, 22.5, 0 >
                     scale < 1, 1, 1 >
                     rotate < 0, -22.5, 0 >
                     // ----------------
                     // --- Shear YZ --- (not correct)
                     rotate < -22.5, 0, 0 >
                     scale < 1, 0.999999, 1 >
                     rotate < 22.5002, 0, 0 >
                     // ----------------
                     rotate < 1.5392, 0, -94.322 >
                     translate < -4.75, -13.001, 1.0992 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19.497, 0.95016, 99.448 >
                     // --- Shear XY --- (not correct)
                     rotate < 0, 0, -22.5 >
                     scale < 0.999989, 1, 1 >
                     rotate < 0, 0, 22.5016 >
                     // ----------------
                     // --- Shear XZ --- (not correct)
                     rotate < 0, 22.5, 0 >
                     scale < 1, 1, 1 >
                     rotate < 0, -22.5, 0 >
                     // ----------------
                     // --- Shear YZ --- (not correct)
                     rotate < -22.5, 0, 0 >
                     scale < 1, 0.999999, 1 >
                     rotate < 22.5002, 0, 0 >
                     // ----------------
                     rotate < 1.5392, 0, 94.322 >
                     translate < 4.75, -13.001, 1.0992 >
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 11.4, 11.249, 32.388 >
                           rotate < 8.5307, 0, 0 >
                           translate < -5.7, -4.9008, -32.401 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19, 0.975, 42.9 >
                           rotate < 166.43, 0, 0 >
                           translate < 0, -5.2008, -21.051 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19.497, 0.95016, 99.448 >
                           // --- Shear XY --- (not correct)
                           rotate < 0, 0, -22.5 >
                           scale < 0.999989, 1, 1 >
                           rotate < 0, 0, 22.5016 >
                           // ----------------
                           // --- Shear XZ --- (not correct)
                           rotate < 0, 22.5, 0 >
                           scale < 1, 1, 1 >
                           rotate < 0, -22.5, 0 >
                           // ----------------
                           // --- Shear YZ --- (not correct)
                           rotate < -22.5, 0, 0 >
                           scale < 1, 0.999999, 1 >
                           rotate < 22.5002, 0, 0 >
                           // ----------------
                           rotate < 1.5392, 0, -94.322 >
                           translate < -4.75, -13.001, 2.3492 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19.497, 0.95016, 99.448 >
                           // --- Shear XY --- (not correct)
                           rotate < 0, 0, -22.5 >
                           scale < 0.999989, 1, 1 >
                           rotate < 0, 0, 22.5016 >
                           // ----------------
                           // --- Shear XZ --- (not correct)
                           rotate < 0, 22.5, 0 >
                           scale < 1, 1, 1 >
                           rotate < 0, -22.5, 0 >
                           // ----------------
                           // --- Shear YZ --- (not correct)
                           rotate < -22.5, 0, 0 >
                           scale < 1, 0.999999, 1 >
                           rotate < 22.5002, 0, 0 >
                           // ----------------
                           rotate < 1.5392, 0, 94.322 >
                           translate < 4.75, -13.001, 2.3492 >
                        }
                     }
                  }
               }

               texture
               {
                  EW_ScreenTex
                  scale < 0.95, 0.975, 0.975 >
                  translate < 0, -16.901, 1.0992 >
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 12, 9, 32.81 >
                     rotate < 8.1301, 0, 0 >
                     translate < -6, -4.4008, -32.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 44 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, -4.9008, -22.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, -94.435 >
                     translate < -5, -12.901, 1.0992 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, 94.435 >
                     translate < 5, -12.901, 1.0992 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 6.5, 14, 36 >
                     translate < -3.25, -9.9008, -36.901 >
                  }

               }

               texture
               {
                  EW_Tex2
                  translate < 0, -10.901, -22.901 >
               }
            }
         }
      }
      // Object type: Disc
      // Name: NoName
      object
      {
         disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

         scale < 20, 1, 20 >
         rotate < 0, 0, -90 >
         translate < -2.75, -4.5, 0 >
      }
      // Object type: Disc
      // Name: NoName
      object
      {
         disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

         scale < 20, 1, 20 >
         rotate < 0, 0, 90 >
         translate < 2.75, -4.5, 0 >
      }
}
difference {
     // Object type: Union
     // Name: 'or'
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 11.4, 10, 31.82 >
                     rotate < 8.0053, 0, 0 >
                     translate < -5.7, -4.4008, -32.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19, 0.975, 42.9 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, -5.2008, -22.301 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19.497, 0.95016, 99.448 >
                     // --- Shear XY --- (not correct)
                     rotate < 0, 0, -22.5 >
                     scale < 0.999989, 1, 1 >
                     rotate < 0, 0, 22.5016 >
                     // ----------------
                     // --- Shear XZ --- (not correct)
                     rotate < 0, 22.5, 0 >
                     scale < 1, 1, 1 >
                     rotate < 0, -22.5, 0 >
                     // ----------------
                     // --- Shear YZ --- (not correct)
                     rotate < -22.5, 0, 0 >
                     scale < 1, 0.999999, 1 >
                     rotate < 22.5002, 0, 0 >
                     // ----------------
                     rotate < 1.5392, 0, -94.322 >
                     translate < -4.75, -13.001, 1.0992 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19.497, 0.95016, 99.448 >
                     // --- Shear XY --- (not correct)
                     rotate < 0, 0, -22.5 >
                     scale < 0.999989, 1, 1 >
                     rotate < 0, 0, 22.5016 >
                     // ----------------
                     // --- Shear XZ --- (not correct)
                     rotate < 0, 22.5, 0 >
                     scale < 1, 1, 1 >
                     rotate < 0, -22.5, 0 >
                     // ----------------
                     // --- Shear YZ --- (not correct)
                     rotate < -22.5, 0, 0 >
                     scale < 1, 0.999999, 1 >
                     rotate < 22.5002, 0, 0 >
                     // ----------------
                     rotate < 1.5392, 0, 94.322 >
                     translate < 4.75, -13.001, 1.0992 >
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 11.4, 11.249, 32.388 >
                           rotate < 8.5307, 0, 0 >
                           translate < -5.7, -4.9008, -32.401 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19, 0.975, 42.9 >
                           rotate < 166.43, 0, 0 >
                           translate < 0, -5.2008, -21.051 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19.497, 0.95016, 99.448 >
                           // --- Shear XY --- (not correct)
                           rotate < 0, 0, -22.5 >
                           scale < 0.999989, 1, 1 >
                           rotate < 0, 0, 22.5016 >
                           // ----------------
                           // --- Shear XZ --- (not correct)
                           rotate < 0, 22.5, 0 >
                           scale < 1, 1, 1 >
                           rotate < 0, -22.5, 0 >
                           // ----------------
                           // --- Shear YZ --- (not correct)
                           rotate < -22.5, 0, 0 >
                           scale < 1, 0.999999, 1 >
                           rotate < 22.5002, 0, 0 >
                           // ----------------
                           rotate < 1.5392, 0, -94.322 >
                           translate < -4.75, -13.001, 2.3492 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19.497, 0.95016, 99.448 >
                           // --- Shear XY --- (not correct)
                           rotate < 0, 0, -22.5 >
                           scale < 0.999989, 1, 1 >
                           rotate < 0, 0, 22.5016 >
                           // ----------------
                           // --- Shear XZ --- (not correct)
                           rotate < 0, 22.5, 0 >
                           scale < 1, 1, 1 >
                           rotate < 0, -22.5, 0 >
                           // ----------------
                           // --- Shear YZ --- (not correct)
                           rotate < -22.5, 0, 0 >
                           scale < 1, 0.999999, 1 >
                           rotate < 22.5002, 0, 0 >
                           // ----------------
                           rotate < 1.5392, 0, 94.322 >
                           translate < 4.75, -13.001, 2.3492 >
                        }
                     }
                  }
               }

               texture
               {
                  EW_ScreenTex
                  scale < 0.95, 0.975, 0.975 >
                  translate < 0, -16.901, 1.0992 >
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 12, 9, 32.81 >
                     rotate < 8.1301, 0, 0 >
                     translate < -6, -4.4008, -32.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 44 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, -4.9008, -22.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, -94.435 >
                     translate < -5, -12.901, 1.0992 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, 94.435 >
                     translate < 5, -12.901, 1.0992 >
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 20, 12.5, 25.241 >
                           rotate < 8.8418, 0, 0 >
                           translate < -10, -4.4008, -26.901 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 20, 1, 20 >
                           rotate < 165.96, 0, 0 >
                           translate < 0, -3.6508, -13.901 >
                        }
                     }
                  }
               }
               texture
               {
                  EW_Tex2
                  translate < 0, -10.901, -22.901 >
               }
            }
         }
      }
      // Object type: Disc
      // Name: NoName
      object
      {
         disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

         scale < 20, 1, 20 >
         rotate < 0, 0, 90 >
         translate < -3.5, -4.5, 0 >
      }
rotate <180-166.43,0,0>
translate <2.75,0,0>
rotate <0,0,-135*CanopyRot>
rotate -<180-166.43,0,0>
translate <-2.75,0,0>
}
difference {
     // Object type: Union
     // Name: 'or'
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 11.4, 10, 31.82 >
                     rotate < 8.0053, 0, 0 >
                     translate < -5.7, -4.4008, -32.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19, 0.975, 42.9 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, -5.2008, -22.301 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19.497, 0.95016, 99.448 >
                     // --- Shear XY --- (not correct)
                     rotate < 0, 0, -22.5 >
                     scale < 0.999989, 1, 1 >
                     rotate < 0, 0, 22.5016 >
                     // ----------------
                     // --- Shear XZ --- (not correct)
                     rotate < 0, 22.5, 0 >
                     scale < 1, 1, 1 >
                     rotate < 0, -22.5, 0 >
                     // ----------------
                     // --- Shear YZ --- (not correct)
                     rotate < -22.5, 0, 0 >
                     scale < 1, 0.999999, 1 >
                     rotate < 22.5002, 0, 0 >
                     // ----------------
                     rotate < 1.5392, 0, -94.322 >
                     translate < -4.75, -13.001, 1.0992 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 19.497, 0.95016, 99.448 >
                     // --- Shear XY --- (not correct)
                     rotate < 0, 0, -22.5 >
                     scale < 0.999989, 1, 1 >
                     rotate < 0, 0, 22.5016 >
                     // ----------------
                     // --- Shear XZ --- (not correct)
                     rotate < 0, 22.5, 0 >
                     scale < 1, 1, 1 >
                     rotate < 0, -22.5, 0 >
                     // ----------------
                     // --- Shear YZ --- (not correct)
                     rotate < -22.5, 0, 0 >
                     scale < 1, 0.999999, 1 >
                     rotate < 22.5002, 0, 0 >
                     // ----------------
                     rotate < 1.5392, 0, 94.322 >
                     translate < 4.75, -13.001, 1.0992 >
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 11.4, 11.249, 32.388 >
                           rotate < 8.5307, 0, 0 >
                           translate < -5.7, -4.9008, -32.401 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19, 0.975, 42.9 >
                           rotate < 166.43, 0, 0 >
                           translate < 0, -5.2008, -21.051 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19.497, 0.95016, 99.448 >
                           // --- Shear XY --- (not correct)
                           rotate < 0, 0, -22.5 >
                           scale < 0.999989, 1, 1 >
                           rotate < 0, 0, 22.5016 >
                           // ----------------
                           // --- Shear XZ --- (not correct)
                           rotate < 0, 22.5, 0 >
                           scale < 1, 1, 1 >
                           rotate < 0, -22.5, 0 >
                           // ----------------
                           // --- Shear YZ --- (not correct)
                           rotate < -22.5, 0, 0 >
                           scale < 1, 0.999999, 1 >
                           rotate < 22.5002, 0, 0 >
                           // ----------------
                           rotate < 1.5392, 0, -94.322 >
                           translate < -4.75, -13.001, 2.3492 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 19.497, 0.95016, 99.448 >
                           // --- Shear XY --- (not correct)
                           rotate < 0, 0, -22.5 >
                           scale < 0.999989, 1, 1 >
                           rotate < 0, 0, 22.5016 >
                           // ----------------
                           // --- Shear XZ --- (not correct)
                           rotate < 0, 22.5, 0 >
                           scale < 1, 1, 1 >
                           rotate < 0, -22.5, 0 >
                           // ----------------
                           // --- Shear YZ --- (not correct)
                           rotate < -22.5, 0, 0 >
                           scale < 1, 0.999999, 1 >
                           rotate < 22.5002, 0, 0 >
                           // ----------------
                           rotate < 1.5392, 0, 94.322 >
                           translate < 4.75, -13.001, 2.3492 >
                        }
                     }
                  }
               }

               texture
               {
                  EW_ScreenTex
                  scale < 0.95, 0.975, 0.975 >
                  translate < 0, -16.901, 1.0992 >
               }
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 12, 9, 32.81 >
                     rotate < 8.1301, 0, 0 >
                     translate < -6, -4.4008, -32.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 44 >
                     rotate < 166.43, 0, 0 >
                     translate < 0, -4.9008, -22.901 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, -94.435 >
                     translate < -5, -12.901, 1.0992 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 102 >
                     rotate < 1.5, 0, 94.435 >
                     translate < 5, -12.901, 1.0992 >
                  }
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 20, 12.5, 25.241 >
                           rotate < 8.8418, 0, 0 >
                           translate < -10, -4.4008, -26.901 >
                        }
                        // Object type: Disc
                        // Name: NoName
                        object
                        {
                           disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                           scale < 20, 1, 20 >
                           rotate < 165.96, 0, 0 >
                           translate < 0, -3.6508, -13.901 >
                        }
                     }
                  }
               }

               texture
               {
                  EW_Tex2
                  translate < 0, -10.901, -22.901 >
               }
            }
         }
      }
      // Object type: Disc
      // Name: NoName
      object
      {
         disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

         scale < 20, 1, 20 >
         rotate < 0, 0, 90 >
         translate < -3.5, -4.5, 0 >
      }
rotate <180-166.43,0,0>
translate <2.75,0,0>
rotate <0,0,-135*CanopyRot>
rotate -<180-166.43,0,0>
translate <-2.75,0,0>
scale <-1,0,0>
}
union {
// Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 1, 0.25, 1 >
                     rotate < 90, 0, 0 >
                     translate < 2.875, 14.25, -8.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.875, 0.2, 0.875 >
                     rotate < 90, 0, 0 >
                     translate < 2.875, 14.25, -8.375 >
                     pigment {rgb 0}
                  }
               }
            }
            // Object type: Torus
            // Name: NoName
            object
            {
               torus { 30, 1 }

               scale < 0.029, 0.05, 0.029 >
               rotate < 90, 0, 0 >
               translate < 2.875, 14.25, -8.375 >
               pigment {rgb <0,0,10>}
            }
         }
         pigment {rgb .25}
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 1, 0.25, 1 >
                     rotate < 90, 0, 0 >
                     translate < -2.875, 14.25, -8.5 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 0.875, 0.2, 0.875 >
                     rotate < 90, 0, 0 >
                     translate < -2.875, 14.25, -8.375 >
                     pigment {rgb 0}
                  }
               }
            }
            // Object type: Torus
            // Name: NoName
            object
            {
               torus { 30, 1 }

               scale < 0.029, 0.05, 0.029 >
               rotate < 90, 0, 0 >
               translate < -2.875, 14.25, -8.375 >
               pigment {rgb <0,0,10>}
            }
         }
         pigment {rgb .25}

      }
translate <0,-17,1>
}

rotate <20*CanopyRot,0,0>
translate <0,17,-1>
}
}
}

            // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < -3.125, 18, 39.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < -2.125, 18, 39.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < -1.125, 18, 39.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < -0.125, 18, 39.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < 0.875, 18, 39.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < 1.875, 18, 39.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.25, 0.5, 8 >
               translate < 2.875, 18, 39.5 >
            }
         }
translate <0,0,-3>
texture {EW_Tex4}
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1}

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < -4, -8, -49.5 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < -4, -8, -48 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1 }

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < -4, -8, -39 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1}

         scale < 0.5, 0.25, 0.5 >
         rotate < 90, 0, 0 >
         translate < -4, -8, -40.5 >
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 0.5, 20 >
               translate < -5, -8.5, 18 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 0.5, 20 >
               translate < 4, -8.5, 18 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 0.5, 20 >
               translate < 3, -8.5, 18 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 0.5, 20 >
               translate < -3.5, -8.5, 18 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 0.25, 20 >
               translate < -0.5, -8.25, 18 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 3, 1, 3 >
               translate < 0, -9, 13.75 >
            }
            #declare Count =0
            #while (Count < 360)
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 1.5, .5 >
               translate < -3.5, -9.5, 0>
               rotate Count*y
               translate < 0, 0, 14>
            }
            #declare Count = Count +30
            #end

            #declare Count =0
            #while (Count < 360)
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1, 1.5, .5 >
               translate < -3.5, -9.5, 0>
               rotate Count*y
               translate < 0, 0, 5.5>
            }
            #declare Count = Count +30
            #end
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 3, 1, 3 >
               translate < 0, -9, 5.25 >
            }
         }
      }
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 2, 0.5, 2 >
               rotate < 90, 0, 0 >
               translate < 0, 9.5, 40.5 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 3, 0.5, 3 >
               rotate < 90, 0, 0 >
               translate < 0, 9.5, 40 >
            }
            // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 7, 11, 0.5 >
                     translate < -3.5, -6, 40 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 45 >
                     translate < 0.17678, 1.3232, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 45 >
                     translate < 0.17678, -1.6768, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 45 >
                     translate < 0.17678, -4.6768, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 45 >
                     translate < 0.17678, -7.6768, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 135 >
                     translate < 0.17678, 1.6768, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 135 >
                     translate < 0.17678, -1.3232, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 135 >
                     translate < 0.17678, -4.3232, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 0.5, 20 >
                     rotate < 0, 0, 135 >
                     translate < 0.17678, -7.3232, 30 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 1, 14, 20 >
                     translate < -0.5, -7.5, 30 >
                  }
               }
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.75, 0.5, 0.75 >
               rotate < 90, 0, 0 >
               translate < 0, 3, 40 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.75, 0.5, 0.75 >
               rotate < 90, 0, 0 >
               translate < 0, 0, 40 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.75, 0.5, 0.75 >
               rotate < 90, 0, 0 >
               translate < 0, -3, 40 >
            }
            // Object type: Cylinder
            // Name: NoName
            object
            {
               cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

               scale < 0.75, 0.5, 0.75 >
               rotate < 90, 0, 0 >
               translate < 0, -6, 40 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 8, 0.5 >
               translate < -3, 9.5, 40 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 8, 0.5 >
               translate < -1.75, 9.5, 40 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 8, 0.5 >
               translate < -0.25, 9.5, 40 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 8, 0.5 >
               translate < 2.5, 9.5, 40 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 0.5, 8, 0.5 >
               translate < 1.25, 9.5, 40 >
            }
texture {EW_Tex2}
         }
      }
#include "E-wing2.inc"
union {Wing
translate <-5.5,7,0>
rotate <0,0,22.5*WingRot>
translate <5.5,-7,0>
}
union {Wing
translate <-5.5,7,0>
rotate <0,0,22.5*WingRot>
translate <5.5,-7,0>
scale <-1,1,1>
}
union {EngineBurn
scale <.75,.75,1>
translate <47,-14,52>
translate <-5.5,7,0>
rotate <0,0,22.5*WingRot>
translate <5.5,-7,0>
scale <-1,1,1>
}
union {EngineBurn
scale <.75,.75,1>
translate <-47,-14,52>
translate <5.5,7,0>
rotate <0,0,-22.5*WingRot>
translate <-5.5,-7,0>
scale <-1,1,1>
}
union {Gun
translate <0,20.5,12>
}
union {GearF scale <1,.65*GearRot+.35,1>}

      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 8, 0.5, 16.5 >
         translate < 0, 0, -50 >
#if (GearRot <= .5)
rotate <0,0,-180*GearRot>
#end
#if (GearRot > .5)
rotate <0,0,-90>
#end
translate <-4,-8.25,0>
}/***************************************************************************/

//#declare R_Arm_Rotation = transform{ rotate z*30 rotate x*0 }
#declare R_Elbow_Rotation = transform{ rotate y*0 rotate x*-100 }
#declare R_Hand_Rotation = transform{ rotate z*0 }
//#declare R_Hand_Position = "pointing finger"//"relaxed"

//#declare L_Arm_Rotation = transform{ rotate -z*150 rotate x*0 }
#declare L_Elbow_Rotation = transform{ rotate y*0 rotate x*-100 }
#declare L_Hand_Rotation = transform{ rotate z*0 }
//#declare L_Hand_Position = "fist"//"relaxed"

#declare R_Leg_Rotation = transform{ rotate z*0 rotate x*-75 }
#declare L_Leg_Rotation = transform{ rotate -z*0 rotate x*-75 }
#declare R_Shin_Rotation = transform{ rotate x*55 }
#declare L_Shin_Rotation = transform{ rotate x*55 }
#declare Suit_Color = 2
#declare Height = 34
#declare Breasts = .5
#declare Gender = Pilot_Gender
/***************************************************************************/
#include "pilot.inc"
/***************************************************************************/
  object { Pilot scale <1,1,1>*8 rotate <0,180,0>  translate <0,7.5,-4> }
/***************************************************************************/

            // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 7, 4, 15 >
               translate < -3.5, 7.5, -24 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -100, 0, 0 >
               translate < 0, 9, -9 >
               texture {EW_HeadsUp}
            }
         }
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 1.5, 2, 0.5 >
         rotate < 6.3402, 0, 0 >
         translate < 0, 6.5, -6 >
         pigment {rgb <.5,.4,.3>}
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Sphere
            // Name: NoName
            object
            {
               sphere { < 0, 0, 0 >, 1 }

               scale < 3, 6.7129, 0.5 >
               rotate < 23.443, 0, 0 >
               translate < 0, 5, -3.5 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               translate < 0, 4.5, -4.5 >

            }
            pigment {rgb <.5,.4,.3>}
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Sphere
            // Name: NoName
            object
            {
               sphere { < 0, 0, 0 >, 1 }

               scale < 3, 8.0123, 0.5 >
               rotate < 91.941, 0, 0 >
               translate < 0, 4.5, -3 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < -90, 0, 0 >
               translate < 0, 4.5, -3.5 >
            }
pigment {rgb <.5,.4,.3>}
         }
      }
union {
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 6, 1.5, 13 >
               translate < -3, 11.5, -23 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 172.12, 0, 0 >
               translate < 0, 12.375, -16.125 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 20, 8.125 >
               translate < -1, 10.375, -24.75 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 20, 0.5 >
               translate < -1, 10.375, -16 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 20, 0.5 >
               translate < -1, 10.375, -15 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 20, 0.5 >
               translate < -1, 10.375, -14 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 2, 20, 0.5 >
               translate < -1, 10.375, -13.125 >
            }
         }
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.125, 0.5 >
         rotate < 0, 0, -90 >
         translate < 0.5, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.125, 0.5 >
         rotate < 0, 0, -90 >
         translate < 0.75, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.125, 0.5 >
         rotate < 0, 0, -90 >
         translate < 1, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.125, 0.5 >
         rotate < 0, 0, -90 >
         translate < 1.25, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.125, 0.5 >
         rotate < 0, 0, -90 >
         translate < 1.5, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.5, 0.125, 0.5 >
         rotate < 0, 0, -90 >
         translate < 1.75, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.75, 0.375, 0.75 >
         rotate < 0, 0, -90 >
         translate < -1.5882e-22, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.75, 0.375, 0.75 >
         rotate < 0, 0, -90 >
         translate < 2, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 3.25, 0.25 >
         rotate < 0, 0, -90 >
         translate < -3.25, 11.75, -9.75 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 0.875, 0.25 >
         translate < -3.25, 10.875, -9.75 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 0.25, 0.25, 0.25 >
         translate < -3.25, 11.875, -9.75 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 1, 0.25, 1 >
         rotate < 0, 0, -90 >
         translate < -2.625, 11.5, -10 >
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 1, 0.25, 1 >
         rotate < 0, 0, -90 >
         translate < -0.875, 11.5, -10 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 2, 0.25, 1.125 >
         translate < -2.5, 13, -11.375 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 2, 0.25, 1.125 >
         translate < 0.5, 13, -11.5 >
      }
texture {EW_Tex2}
}
light_source
{
   < 0, 9.5, -9.5 >
   color rgb < 0, .25, 1 >*.5
   fade_distance 5*.075
   fade_power 2
}
light_source
{
   < 3.5, 9.5, -5 >
   color rgb < 1, .7, 0 >
   fade_distance 2.5*.075
   fade_power 2
}
}
texture
{
EW_Tex1
}
translate <0,0,-5>
rotate <0,0,0>
translate <0,19*GearRot,0>
scale .075
}

